import { Currency } from './types';
import { ZERO_DECIMAL_CURRENCIES, ZERO_DECIMAL_CURRENCIES_S } from './constants';

// should be synched with ISO 4217 https://www.six-group.com/en/products-services/financial-information/data-standards.html
// dinero 2 alpha has this list but it's alpha
// TODO
export const getPrecision = (currency: Currency): number => {
  // TODO
  if (['USD', 'EUR'].indexOf(currency) !== -1) return 2;
  if (ZERO_DECIMAL_CURRENCIES_S.has(currency as typeof ZERO_DECIMAL_CURRENCIES[number])) return 0;
  throw new Error();
};
