import z from 'zod';
import { audienceIntentBodyParser, audienceIntentDeclarationResultParser, audienceIntentParamsParser, audienceIntentRevocationResultParser } from './parsers';
export type AudienceIntentBody = z.infer<typeof audienceIntentBodyParser>;
export type AudienceIntentParams = z.input<typeof audienceIntentParamsParser>;
export type AudienceIntentParamsTransformed = z.output<typeof audienceIntentParamsParser>;
export type AudienceIntentDeclareResult = z.infer<typeof audienceIntentDeclarationResultParser>;
export type AudienceIntentRevokeResult = z.infer<typeof audienceIntentRevocationResultParser>;
