"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SUBSCRIPTION_ID_PARAM_NAME = exports.SUBSCRIPTION_STATUSES = exports.SUBSCRIPTION_STATUS_INCOMPLETE = void 0;
exports.SUBSCRIPTION_STATUS_INCOMPLETE = 'INCOMPLETE';
// Stripe Docs: https://stripe.com/docs/billing/subscriptions/overview#subscription-states
exports.SUBSCRIPTION_STATUSES = [
    'ACTIVE',
    'INACTIVE',
    exports.SUBSCRIPTION_STATUS_INCOMPLETE,
    'INCOMPLETE_EXPIRED',
    'TRIALING',
    'PAST_DUE',
    'CANCELED',
    'UNPAID',
];
exports.SUBSCRIPTION_ID_PARAM_NAME = 'id';
