export const SUBSCRIPTION_STATUS_INCOMPLETE = 'INCOMPLETE' as const;

// Stripe Docs: https://stripe.com/docs/billing/subscriptions/overview#subscription-states
export const SUBSCRIPTION_STATUSES = [
  'ACTIVE',
  'INACTIVE',
  SUBSCRIPTION_STATUS_INCOMPLETE, // on frontend, currently signals "run card check"
  'INCOMPLETE_EXPIRED',
  'TRIALING',
  'PAST_DUE',
  'CANCELED',
  'UNPAID',
] as const;

export const SUBSCRIPTION_ID_PARAM_NAME = 'id' as const;
