// duped with inner utils
export const values = <K extends string, V>(o: { [k in K]: V }) => Object.values(o) as V[];

// lodash.omit for the poor
export const omit = <K extends string | number | symbol, T extends Record<K, unknown>>(
  o: T,
  ks: K[]
): Omit<T, typeof ks[number]> => {
  // lodash.omit for the poor
  const r: Omit<typeof o, typeof ks[number]> & Partial<Pick<T, typeof ks[number]>> = { ...o };
  for (const k of ks) {
    delete r[k];
  }
  return r;
};
