import { z } from 'zod';

// todo remove nulls, undefined is fine
export const nullableUrlStringParser = z
  .union([z.string().url(), z.null()])
  .optional()
  .default(null)
  .transform((b) => b ?? undefined);
export const nullableStringParser = z
  .union([z.string(), z.null()])
  .optional()
  .default(null)
  .transform((b) => b ?? undefined);
export const nullableBoolParser = z
  .union([z.boolean(), z.null()])
  .optional()
  .default(null)
  .transform((b) => b ?? undefined);
export const nullableNumberParser = z
  .union([z.number(), z.null()])
  .optional()
  .default(null)
  .transform((b) => b ?? undefined);
