import { z } from 'zod';
import { CURRENCIES } from './constants';
import { makePositiveIntegerQueryParser } from '../common/parsers/queryParams';

export const currencyAmountParser = makePositiveIntegerQueryParser('Currency');
export const currencyParser = z.enum(CURRENCIES);
