"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.audienceIntentRevocationResultParser = exports.audienceIntentDeclarationResultParser = exports.audienceIntentParamsParser = exports.audienceIntentBodyParser = void 0;
const zod_1 = __importDefault(require("zod"));
const constants_1 = require("./constants");
const parsers_1 = require("../../channel/parsers");
exports.audienceIntentBodyParser = zod_1.default.object({});
exports.audienceIntentParamsParser = zod_1.default.object({
    [constants_1.AUDIENCE_INTENT_CHANNEL_ID_PARAM_NAME]: parsers_1.channelIdParser,
});
exports.audienceIntentDeclarationResultParser = zod_1.default.enum(['ok', 'already']);
exports.audienceIntentRevocationResultParser = exports.audienceIntentDeclarationResultParser;
