import { PayinDst, PayinSrc } from '../payin/types';
import { ChannelType } from '../channel/types';
export type PassportIssueSrc = PayinSrc;
export type PassportIssueDst<T extends ChannelType = ChannelType> = PayinDst<T>;
declare enum PassportIssueBrand {
    _ = ""
}
export type PassportIssueId = string & PassportIssueBrand;
export type WithPassportId = {
    id: PassportIssueId;
};
export type PassportCore = {
    src: PassportIssueSrc;
    dst: PassportIssueDst;
    issuedAt: number;
    expiresAt: number;
};
export type Passport = PassportCore & WithPassportId;
export {};
