import { PayoutMethodOriginType } from '../../../payoutMethod/types';
import { UserId } from '../../../user/types';
import { Currency } from '../../../currencies/types';
import { PayoutBatchItemCompositeKeySerialized } from '../../types';
export type PayoutConversionProviderItemCompositeKeySerialized = `${PayoutBatchItemCompositeKeySerialized}:${PayoutMethodOriginType}`;
export interface PayoutConversionProviderItemCompositeKey<T1 extends PayoutMethodOriginType, T2 extends PayoutMethodOriginType> {
    originTypeFrom: T1;
    originTypeTo: T2;
    userId: UserId;
    currency: Currency;
}
export type PayoutConversionProviderArgs = Partial<Record<PayoutConversionProviderItemCompositeKeySerialized, number>>;
