import z from 'zod';
import { channelAutocompleteQueryParser, channelAutocompleteResultDocParser, channelAutocompleteResultParser } from './parsers';
export type ChannelAutocompleteQuery = z.infer<typeof channelAutocompleteQueryParser>;
export type ChannelAutocompleteResult = z.infer<typeof channelAutocompleteResultParser>;
export type ChannelAutocompleteResultDoc = z.infer<typeof channelAutocompleteResultDocParser>;
