import { UserId } from '../user/types';
export declare enum StripeSubscriptionIdBrand {
    _ = ""
}
export type StripeSubscriptionId = string & StripeSubscriptionIdBrand;
export declare enum StripePaymentIntentIdBrand {
    _ = ""
}
export type StripePaymentIntentId = string & StripePaymentIntentIdBrand;
export type StripeTipId = StripePaymentIntentId;
export type StripeTransferId = StripeConnectTransferId;
/**
 * @deprecated use transfer, ref 7ad50e79-8fad-492d-b9a9-f44a0257d7a3
 */
export type StripePayoutId = StripeTransferId;
export type StripeEntityId = StripeCustomerId | StripePaymentIntentId | StripeProductId | StripePriceId | StripeSubscriptionId | StripePayinMethodId | StripeTransferId | StripeConnectClientId;
export declare enum StripeInvoiceIdBrand {
    _ = ""
}
export type StripeInvoiceId = string & StripeInvoiceIdBrand;
export declare enum StripeCustomerIdBrand {
    _ = ""
}
export type StripeCustomerId = string & StripeCustomerIdBrand;
export declare enum StripePlanIdBrand {
    _ = ""
}
export type StripePlanId = string & StripePlanIdBrand;
export type StripePriceId = StripePlanId;
export declare enum StripeProductIdBrand {
    _ = ""
}
export type StripeProductId = string & StripeProductIdBrand;
export declare enum StripePaymentMethodIdBrand {
    _ = ""
}
export type StripePayinMethodId = string & StripePaymentMethodIdBrand;
export declare enum StripeConnectClientIdBrand {
    _ = ""
}
export type StripeConnectClientId = string & StripeConnectClientIdBrand;
export type StripeAccountId = StripeConnectClientId;
export declare enum StripeConnectClientPaymentIdBrand {
    _ = ""
}
export type StripeConnectClientPaymentId = string & StripeConnectClientPaymentIdBrand;
export declare enum StripeConnectTransferIdBrand {
    _ = ""
}
export type StripeConnectTransferId = string & StripeConnectTransferIdBrand;
export declare enum StripeChargeIdBrand {
    _ = ""
}
export type StripeChargeId = string & StripeChargeIdBrand;
export type StripeConnectTransferCompositeKey = {
    account: StripeConnectClientId;
    payment: StripeConnectClientPaymentId;
};
export type StripeConnectTransferDestination = StripeConnectTransferCompositeKey;
export declare enum StripeConnectTransferReversalIdBrand {
    _ = ""
}
export type StripeConnectTransferReversalId = string & StripeConnectTransferReversalIdBrand;
export declare enum StripeRefundIdBrand {
    _ = ""
}
export type StripeRefundId = string & StripeRefundIdBrand;
export type CustomerToUserMapping = {
    [key in StripeCustomerId]: UserId;
};
