import { PAYMENT_PROVIDERS } from '../paymentProvider/constants';
import { ORIGIN_TYPES_EXTERNAL } from '../origin/constants';

// user but not user
// which means it's an api 'user' string severed from the graph 'user' string
// more comments in [8c2eab11-1e88-41dc-a520-ed22af399f96]
export const PAYIN_USER_API_LITERAL_TYPE = 'user' as const;
// same for channel
export const PAYIN_CHANNEL_API_LITERAL_TYPE = 'channel' as const;
export const PAYIN_ORIGIN_TYPES = ORIGIN_TYPES_EXTERNAL;
export const PAYIN_PROVIDERS = PAYMENT_PROVIDERS;

export const PAYMENT_INTENT_ID_PARAM_NAME = 'paymentIntentId' as const;

export const PAYIN_KEY_PARAM_NAME = 'payinKey' as const;
